<?php
// $Id: archive.admin.inc,v 1.5 2007/12/23 17:43:27 susurrus Exp $

/**
 * Form building callback for the archive settings page.
 */
function archive_admin_settings() {  
  $types = node_get_types();
  $final_types = array();
  foreach ($types as $key => $value) {
    $final_types[$key] = $value->name;
  }

  $form['archive_type_filters'] = array(
    '#type'          => 'checkboxes',
    '#title'         => t('Cotent types available in archive'),
    '#default_value' => variable_get('archive_type_filters', array()),
    '#options'       => $final_types,
    '#description'   => t('Posts of the types selected here will show up in the archives and will be available as type filters.')
  );
  
  return system_settings_form($form);
}
